# -*- rpm-spec -*-

%define with_introspection 0
%define with_python 0

%if 0%{?fedora} >= 15
%define with_introspection 1
%endif
%if 0%{?rhel} >= 6
%define with_introspection 1
%endif


Name: libvirt-designer
Version: 0.0.1
Release: 1%{?dist}%{?extra_release}
Summary: Libvirt configuration designer
Group: Development/Tools
License: LGPLv2+
URL: http://libvirt.org/
Source0: http://libvirt.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libvirt-gconfig-devel >= 0.0.9
BuildRequires: libvirt-gobject-devel >= 0.1.3
%if %{with_introspection}
BuildRequires: gobject-introspection-devel
%endif
BuildRequires: libosinfo-devel >= 0.0.5

%package libs
Group: Development/Libraries
Summary: Libvirt configuration designer libraries

%package devel
Group: Development/Libraries
Summary: Libvirt configuration designer development headers
Requires: %{name}-libs = %{version}-%{release}
Requires: libvirt-gconfig-devel >= 0.0.9

%description
This package provides the libvirt configuration designer command
line tools.

%description libs
This package provides the libvirt configuration designer run-time
libraries.

%description devel
This package provides the libvirt configuration designer development
headers

%prep
%setup -q

%build

%if %{with_introspection}
%define introspection_arg --enable-introspection
%else
%define introspection_arg --disable-introspection
%endif

%configure %{introspection_arg}
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make install  DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/virtxml
%{_mandir}/man1/virtxml.1*

%files libs
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-designer-1.0.so.*
%if %{with_introspection}
%{_libdir}/girepository-1.0/LibvirtDesigner-1.0.typelib
%endif

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvirt-designer-1.0.so
%{_libdir}/pkgconfig/libvirt-designer-1.0.pc
%dir %{_includedir}/libvirt-designer-1.0
%dir %{_includedir}/libvirt-designer-1.0/libvirt-designer
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer.h
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer-*.h
%if %{with_introspection}
%{_datadir}/gir-1.0/LibvirtDesigner-1.0.gir
%endif
%{_datadir}/gtk-doc/html/libvirt-designer

%changelog
